#include "test.h"
#include <plasma/widgets/icon.h>
#include <plasma/containment.h>
#include <KIcon>
#include <KIconLoader>
#include <QGraphicsLinearLayout>

Test::Test(QObject *parent, const QVariantList &args) : Plasma::Applet(parent, args)
{
    resize(42, 42);
    setAspectRatioMode(Plasma::Square);
}

Test::~Test()
{
}

void Test::init()
{
    QGraphicsLinearLayout *layout = new QGraphicsLinearLayout(this);
    layout->setContentsMargins(0, 0, 0, 0);
    layout->setSpacing(0);

    Plasma::Icon *icon = new Plasma::Icon(KIcon("plasma"), QString(), this);
    layout->addItem(icon);
}
